import {
  httpDeleteInterceptor,
  httpGetInterceptor,
  httpPostInterceptor,
} from "../http-config/http-interceptor-service";
import { title } from "process";

export async function listTicketingInternal(
  page: number,
  size: any,
  title: string = ""
) {
  return await httpGetInterceptor(
    `ticketing/internal/pagination?enablePage=1&size=${size}&page=${page}&title=${title}`
  );
}

export async function getTicketingEscalationPagination(
  page: number,
  size: any,
  title: string = ""
) {
  return await httpGetInterceptor(
    `ticketing/escalation/pagination?enablePage=1&size=${size}&page=${page}&title=${title}`
  );
}

export async function getTicketingCollaborationPagination(
  page: number,
  size: any,
  title: string = ""
) {
  return await httpGetInterceptor(
    `ticketing/collaboration/pagination?enablePage=1&size=${size}&page=${page}&title=${title}`
  );
}

export async function getCuratorUser() {
  return await httpGetInterceptor("users/collaboration?enablePage=0");
}

export async function getTicketingPriority() {
  return await httpGetInterceptor("ticketing/priority");
}

export async function saveTicketingInternal(data: any) {
  const url = "ticketing/internal";
  return httpPostInterceptor(url, data);
}

export async function saveTicketing(data: any) {
  const url = "ticketing";
  return httpPostInterceptor(url, data);
}

export async function getTicketingInternalDetail(id: any) {
  const url = `ticketing/internal?id=${id}`;
  return httpGetInterceptor(url);
}

export async function getTicketingInternalDiscussion(id: any) {
  const url = `ticketing/internal/discussion?ticketId=${id}`;
  return httpGetInterceptor(url);
}

export async function saveTicketInternalReply(data: any) {
  const url = "ticketing/internal/discussion";
  return httpPostInterceptor(url, data);
}

export async function getTicketingDetail(id: any) {
  const url = `ticketing?id=${id}`;
  return httpGetInterceptor(url);
}

export async function getTicketCollaborationTeams(id: string | number) {
  const url = `ticketing/collaboration/teams?ticketId=${id}`;
  return httpGetInterceptor(url);
}

export async function saveCollaborationTeams(
  id: string | number,
  userId: string | number
) {
  const url = `ticketing/collaboration/teams?ticketId=${id}&userId=${userId}`;
  return httpPostInterceptor(url);
}

export async function getCollabDiscussion(id: string | number) {
  const url = `ticketing/collaboration/discussion?ticketId=${id}`;
  return httpGetInterceptor(url);
}

export async function saveCollabDiscussion(data: any) {
  const url = "ticketing/collaboration/discussion";
  return httpPostInterceptor(url, data);
}

export async function deleteCollabDiscussion(id: string | number) {
  const url = `ticketing/collaboration/discussion?id=${id}`;
  return httpDeleteInterceptor(url);
}
